| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::Radian Class Reference
Core » Math

Wrapper class which indicates a given angle value is in Radians. More...

`#include <OgreMath.h>`

## Public Member Functions
| Radian (Real r=0)
| Radian (const Degree &d)
bool | operator!= (const Radian &r) const
Radian | operator* (Real f) const
Radian | operator* (const Radian &f) const
Radian & | operator*= (Real f)
const Radian & | operator+ () const
Radian | operator+ (const Radian &r) const
Radian | operator+ (const Degree &d) const
Radian & | operator+= (const Radian &r)
Radian & | operator+= (const Degree &d)
Radian | operator- () const
Radian | operator- (const Radian &r) const
Radian | operator- (const Degree &d) const
Radian & | operator-= (const Radian &r)
Radian & | operator-= (const Degree &d)
Radian | operator/ (Real f) const
Radian & | operator/= (Real f)
bool | operator< (const Radian &r) const
bool | operator<= (const Radian &r) const
Radian & | operator= (const Real &f)
Radian & | operator= (const Radian &r)
Radian & | operator= (const Degree &d)
bool | operator== (const Radian &r) const
bool | operator> (const Radian &r) const
bool | operator>= (const Radian &r) const
Real | valueAngleUnits () const
Real | valueDegrees () const
Real | valueRadians () const

## Friends
std::ostream & | operator<< (std::ostream &o, const Radian &v)

## Detailed Description

Wrapper class which indicates a given angle value is in Radians.

Remarks
  Radian values are interchangeable with Degree values, and conversions will be done automatically between them.

## Constructor & Destructor Documentation

## ◆ Radian()

Ogre::Radian::Radian | ( | Real | r = `0` | ) |
| inline explicit

Referenced by operator*(), operator+(), operator-(), and operator/().

## Member Function Documentation

## ◆ operator=() [1/2]

Radian& Ogre::Radian::operator= | ( | const Real & | f | ) |
| inline

## ◆ operator=() [2/2]

Radian& Ogre::Radian::operator= | ( | const Radian & | r | ) |
| inline

## ◆ valueRadians()

Real Ogre::Radian::valueRadians | ( |  | ) | const
| inline

Referenced by Ogre::Math::Abs(), Ogre::Math::Cos(), Ogre::Vector3::directionEquals(), Ogre::operator*(), Ogre::operator/(), Ogre::Math::Sign(), Ogre::Math::Sin(), Ogre::Math::Sqrt(), and Ogre::Math::Tan().

## ◆ operator+() [1/2]

const Radian& Ogre::Radian::operator+ | ( |  | ) | const
| inline

## ◆ operator+() [2/2]

Radian Ogre::Radian::operator+ | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator+=()

Radian& Ogre::Radian::operator+= | ( | const Radian & | r | ) |
| inline

## ◆ operator-() [1/2]

Radian Ogre::Radian::operator- | ( |  | ) | const
| inline

References Radian().

## ◆ operator-() [2/2]

Radian Ogre::Radian::operator- | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator-=()

Radian& Ogre::Radian::operator-= | ( | const Radian & | r | ) |
| inline

## ◆ operator*() [1/2]

Radian Ogre::Radian::operator* | ( | Real | f | ) | const
| inline

References Radian().

## ◆ operator*() [2/2]

Radian Ogre::Radian::operator* | ( | const Radian & | f | ) | const
| inline

References Radian().

## ◆ operator*=()

Radian& Ogre::Radian::operator*= | ( | Real | f | ) |
| inline

## ◆ operator/()

Radian Ogre::Radian::operator/ | ( | Real | f | ) | const
| inline

References Radian().

## ◆ operator/=()

Radian& Ogre::Radian::operator/= | ( | Real | f | ) |
| inline

## ◆ operator<()

bool Ogre::Radian::operator< | ( | const Radian & | r | ) | const
| inline

## ◆ operator<=()

bool Ogre::Radian::operator<= | ( | const Radian & | r | ) | const
| inline

## ◆ operator==()

bool Ogre::Radian::operator== | ( | const Radian & | r | ) | const
| inline

## ◆ operator!=()

bool Ogre::Radian::operator!= | ( | const Radian & | r | ) | const
| inline

## ◆ operator>=()

bool Ogre::Radian::operator>= | ( | const Radian & | r | ) | const
| inline

## ◆ operator>()

bool Ogre::Radian::operator> | ( | const Radian & | r | ) | const
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | const Radian & | v
| ) |  |
| friend

The documentation for this class was generated from the following file:

- OgreMath.h